package com.upyuns.platform.rs.website.controller;

import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.upyuns.platform.rs.website.biz.OrderInfoBiz;
import com.upyuns.platform.rs.website.dto.UserOrderDto;
import com.upyuns.platform.rs.website.entity.OrderInfo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("orderInfo")
public class OrderInfoController extends BaseController<OrderInfoBiz,OrderInfo> {

	@GetMapping(value = "getOrderList")
	public ObjectRestResponse getOrderList(UserOrderDto userOrderDto) {
		return baseBiz.getOrderList(userOrderDto);
	}

	@GetMapping(value = "detail")
	public ObjectRestResponse detail(Long orderId) {
		return ObjectRestResponse.succ(baseBiz.getOrderDetail(orderId));
	}
}